Skip to main content
POST
/
v4
/
templates
/
{templateId}
/
link
Link workflows to template
curl --request POST \
  --url https://api.kadoa.com/v4/templates/{templateId}/link \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "workflowIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "force": true
}
'
{
  "error": false,
  "success": true,
  "linkedCount": 123,
  "workflowIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

templateId
string<uuid>
required

Template ID

Body

application/json

Body

Request body for linking workflows to a template

workflowIds
string<uuid>[]
required

Workflow IDs to link to this template

Required array length: 1 - 100 elements
force
boolean

If true, relink workflows that are already linked to another template

Response

200

Response for linking workflows to a template

error
enum<boolean>
required

Error flag (always false on success)

Available options:
false
success
enum<boolean>
required

Success flag

Available options:
true
linkedCount
number
required

Number of workflows linked

workflowIds
string<uuid>[]
required

IDs of linked workflows